javax.faces.component.visit

## Class VisitContextFactory

- java.lang.Object
- - javax.faces.component.visit.VisitContextFactory

- All Implemented Interfaces:
    FacesWrapper<VisitContextFactory>

      public abstract class VisitContextFactory
      extends Object
      implements FacesWrapper<VisitContextFactory>

  Provide for separation of interface and implementation for the `VisitContext` contract.

  Since:
    2.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VisitContextFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract VisitContext` | `getVisitContext(FacesContext context, Collection<String> ids, Set<VisitHint> hints)` Return a new `VisitContext` instance.
    `VisitContextFactory` | `getWrapped()` If this factory has been decorated, the implementation doing the decorating may override this method to provide access to the implementation being wrapped.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VisitContextFactory

          public VisitContextFactory()

  - ### Method Detail

    - #### getWrapped

          public VisitContextFactory getWrapped()

      If this factory has been decorated, the implementation doing the decorating may override this method to provide access to the implementation being wrapped. A default implementation is provided that returns `null`.

      Specified by:
        `getWrapped` in interface `FacesWrapper<VisitContextFactory>`
      Since:
        2.0

    - #### getVisitContext

          public abstract VisitContext getVisitContext(FacesContext context,
                                     Collection<String> ids,
                                     Set<VisitHint> hints)

      Return a new `VisitContext` instance.

      Parameters:
        `context` - the `FacesContext` for this request.
        `ids` - a `Collection` of clientIds to visit. If `null` all components will be visited.
        `hints` - the `VisitHints` that apply to this visit.
      Since:
        2.0

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.